Skip to content
This repository
Browse code

Updating Gemfile to latest versions of libraries:

* updating deprecated require 'rake/rdoctask' with 'rdoc/task'
* preparing to remove deprecated ActiveRecord set_table_name with self.table_name=
  • Loading branch information...
commit a1a183e43d556f705b30a886626daa94e913c00d 1 parent b500ebe
Zach Dennis authored
2  Gemfile
@@ -11,7 +11,7 @@ group :test do
11 11 # Database Adapters
12 12 platforms :ruby do
13 13 gem "mysql", "~> 2.8.1"
14   - gem "mysql2", "~> 0.2.4"
  14 + gem "mysql2", "~> 0.3.0"
15 15 gem "pg", "~> 0.9"
16 16 gem "sqlite3-ruby", "~> 1.3.1"
17 17 end
53 Gemfile.lock
... ... @@ -1,44 +1,51 @@
1 1 GEM
2 2 remote: http://rubygems.org/
3 3 specs:
4   - activemodel (3.2.0)
5   - activesupport (= 3.2.0)
  4 + activemodel (3.2.7)
  5 + activesupport (= 3.2.7)
6 6 builder (~> 3.0.0)
7   - activerecord (3.2.0)
8   - activemodel (= 3.2.0)
9   - activesupport (= 3.2.0)
10   - arel (~> 3.0.0)
  7 + activerecord (3.2.7)
  8 + activemodel (= 3.2.7)
  9 + activesupport (= 3.2.7)
  10 + arel (~> 3.0.2)
11 11 tzinfo (~> 0.3.29)
12   - activerecord-jdbc-adapter (1.1.1)
13   - activerecord-jdbcmysql-adapter (1.1.1)
14   - activerecord-jdbc-adapter (= 1.1.1)
  12 + activerecord-jdbc-adapter (1.2.2)
  13 + activerecord-jdbcmysql-adapter (1.2.2)
  14 + activerecord-jdbc-adapter (~> 1.2.2)
15 15 jdbc-mysql (~> 5.1.0)
16   - activesupport (3.2.0)
  16 + activesupport (3.2.7)
17 17 i18n (~> 0.6)
18 18 multi_json (~> 1.0)
19 19 archive-tar-minitar (0.5.2)
20   - arel (3.0.0)
  20 + arel (3.0.2)
21 21 builder (3.0.0)
22   - chronic (0.3.0)
23   - columnize (0.3.2)
  22 + chronic (0.7.0)
  23 + columnize (0.3.6)
24 24 delorean (0.2.1)
25 25 chronic
26 26 factory_girl (1.3.3)
27 27 git (1.2.5)
28 28 i18n (0.6.0)
29 29 jdbc-mysql (5.1.13)
30   - jeweler (1.5.2)
31   - bundler (~> 1.0.0)
  30 + jeweler (1.8.4)
  31 + bundler (~> 1.0)
32 32 git (>= 1.2.5)
33 33 rake
34   - linecache (0.43)
  34 + rdoc
  35 + json (1.7.4)
  36 + json (1.7.4-java)
  37 + linecache (0.46)
  38 + rbx-require-relative (> 0.0.4)
35 39 linecache19 (0.5.12)
36 40 ruby_core_source (>= 0.1.4)
37   - multi_json (1.0.4)
  41 + multi_json (1.3.6)
38 42 mysql (2.8.1)
39   - mysql2 (0.2.7)
40   - pg (0.11.0)
41   - rake (0.8.7)
  43 + mysql2 (0.3.11)
  44 + pg (0.14.0)
  45 + rake (0.9.2.2)
  46 + rbx-require-relative (0.0.9)
  47 + rdoc (3.12)
  48 + json (~> 1.4)
42 49 ruby-debug (0.10.4)
43 50 columnize (>= 0.1)
44 51 ruby-debug-base (~> 0.10.4.0)
@@ -55,10 +62,10 @@ GEM
55 62 ruby-debug-base19 (>= 0.11.19)
56 63 ruby_core_source (0.1.5)
57 64 archive-tar-minitar (>= 0.5.2)
58   - sqlite3 (1.3.5)
  65 + sqlite3 (1.3.6)
59 66 sqlite3-ruby (1.3.3)
60 67 sqlite3 (>= 1.3.3)
61   - tzinfo (0.3.31)
  68 + tzinfo (0.3.33)
62 69
63 70 PLATFORMS
64 71 java
@@ -72,7 +79,7 @@ DEPENDENCIES
72 79 jdbc-mysql
73 80 jeweler (>= 1.4.0)
74 81 mysql (~> 2.8.1)
75   - mysql2 (~> 0.2.4)
  82 + mysql2 (~> 0.3.0)
76 83 pg (~> 0.9)
77 84 rake
78 85 ruby-debug (= 0.10.4)
2  Rakefile
@@ -63,7 +63,7 @@ rescue LoadError
63 63 end
64 64 end
65 65
66   -require 'rake/rdoctask'
  66 +require 'rdoc/task'
67 67 Rake::RDocTask.new do |rdoc|
68 68 version = File.exist?('VERSION') ? File.read('VERSION') : ""
69 69
8 test/schema/version.rb
... ... @@ -1,4 +1,10 @@
1 1 class SchemaInfo < ActiveRecord::Base
2   - set_table_name 'schema_info'
  2 + if respond_to?(:table_name=)
  3 + self.table_name = 'schema_info'
  4 + else
  5 + # this is becoming deprecated in ActiveRecord but not all adapters supported it
  6 + # at this time
  7 + set_table_name 'schema_info'
  8 + end
3 9 VERSION = 12
4 10 end

0 comments on commit a1a183e

Please sign in to comment.
Something went wrong with that request. Please try again.